> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/mahnwesen/stammdaten.md).

# Stammdaten

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Mahn- und Klagevorfall abrufen&#x20;

<details>

<summary>Hinweise zur Funktion</summary>

Bitte beachten Sie, dass "RentAccountId" und "DunningRentAccountId" nicht deckungsgleich sind. Sie kommen über diese ID nicht auf das Vertragskonto.&#x20;

"DunningRentAccount" beschreibt einen Container, der verschiedene- Mahn und Klagevorfälle umfasst, ansonsten aber ohne Inhalt ist und deshalb keinen eigenen Endpunkt besitzt. Eine Verbindung zum Nutzungsvertrag wird demnächst bereitgestellt.

</details>

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/DunningIncident

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"Status":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentStatusDto"},"ProceduralNumber":{"type":"string","nullable":true},"InLegalDepartmentSince":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"Description":{"type":"string","nullable":true},"SpecialFeaures":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningSpecialFeaturesDto"},"DebtorProceeding":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto"},"DunningProcedures":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentProcedureDto"},"nullable":true},"DunningRentAccountId":{"type":"integer","format":"int32"},"DunningLevelResets":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningLevelResetDto"},"nullable":true},"DunningLevelRaises":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningLevelRaiseDto"},"nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentStatusDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningSpecialFeaturesDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"PersonId":{"type":"integer","format":"int32"},"LocalCourt":{"type":"string","nullable":true},"ResolutionNumber":{"type":"string","nullable":true},"ResolutionValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ResolutionValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"LiquidatorId":{"type":"integer","format":"int32","nullable":true},"Info":{"type":"string","nullable":true},"DebtorProceedingsType":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingTypeDto"},"TrustAccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountDto"}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentProcedureDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"DunningDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"Description":{"type":"string","nullable":true},"Deadline":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ObjectionDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"Amount":{"type":"number","format":"decimal","nullable":true},"ReminderFee":{"type":"number","format":"decimal","nullable":true},"ReminderInterestAmount":{"type":"number","format":"decimal","nullable":true},"ResponsibleLawyerId":{"type":"integer","format":"int32","nullable":true},"DistrictCourtId":{"type":"integer","format":"int32","nullable":true},"DunningProcedure":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureControlSlimDto"},"DunningProcedureNextStep":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureControlSlimDto"}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureControlSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningLevelResetDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"FromLevel":{"type":"integer","format":"int32"},"ToLevel":{"type":"integer","format":"int32"},"Date":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningLevelRaiseDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Date":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/DunningIncident":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetDunningIncident","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"useUnitId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"useUnitIdNum","in":"query","schema":{"type":"string"}},{"name":"economicUnitId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"economicUnitIdNum","in":"query","schema":{"type":"string"}},{"name":"licenseAgreementId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"licenseAgreementIdNum","in":"query","schema":{"type":"string"}},{"name":"contractorId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"contractorIdNum","in":"query","schema":{"type":"string"}},{"name":"managementId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"responsibleOfficialId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningIncidentDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Mahn- und Klage Maßnahme abrufen

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/DunningProcedure

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"DunningLevelShort":{"type":"integer","format":"int32"},"DunningLevel":{"$ref":"#/components/schemas/Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DunningLevelDto"},"DunningProcedureType":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureTypeDto"},"DunningProcedureClassification":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureClassificationDto"},"DunningProcedureNextStep":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureControlSlimDto"}},"additionalProperties":false},"Contracts.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DunningLevelDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureClassificationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureControlSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/DunningProcedure":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetDunningProcedure","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DunningProcedureDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Rechtsanwälte

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/Lawyer

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LawyerDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Person":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto"},"DefaultAddress":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Shortname":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IsNaturalPerson":{"type":"boolean"},"NaturalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto"},"LegalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto"},"Addresses":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"nullable":true},"Communications":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"nullable":true},"BankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"nullable":true},"FirstEmailCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstLandlinePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstMobilePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"BirthName":{"type":"string","nullable":true},"CareOf":{"type":"string","nullable":true},"BirthDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeathDate":{"type":"string","format":"date-time","nullable":true},"Gender":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto"},"MaritalType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto"},"Nationality":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"},"PersonInCare":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto"},"ContactFor":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto":{"type":"object","properties":{"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true},"VatId":{"type":"string","nullable":true},"CommercialRegisterNumber":{"type":"string","nullable":true},"CommercialRegisterTown":{"type":"string","nullable":true},"ContractPersons":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Zip":{"type":"string","nullable":true},"Town":{"type":"string","nullable":true},"Street":{"type":"string","nullable":true},"HouseNumber":{"type":"string","nullable":true},"HouseNumberAddition":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"StreetComplete":{"type":"string","nullable":true},"HouseNumberComplete":{"type":"string","nullable":true},"MainAddress":{"type":"boolean"},"AddressType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto"},"Country":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"RelatedAddressId":{"type":"integer","format":"int32","nullable":true},"Content":{"type":"string","nullable":true},"Explanation":{"type":"string","nullable":true},"RelatedAddress":{"type":"string","nullable":true},"CommunicationType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/Lawyer":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetLawyer","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personNumber","in":"query","schema":{"type":"string"}},{"name":"includeMainAddress","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonAddresses","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainCommunication","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonBankAccounts","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonCommunications","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LawyerDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LawyerDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LawyerDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Amtsgerichte

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/DistrictCourt

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DistrictCourtDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Person":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto"},"DefaultAddress":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Shortname":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IsNaturalPerson":{"type":"boolean"},"NaturalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto"},"LegalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto"},"Addresses":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"nullable":true},"Communications":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"nullable":true},"BankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"nullable":true},"FirstEmailCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstLandlinePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstMobilePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"BirthName":{"type":"string","nullable":true},"CareOf":{"type":"string","nullable":true},"BirthDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeathDate":{"type":"string","format":"date-time","nullable":true},"Gender":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto"},"MaritalType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto"},"Nationality":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"},"PersonInCare":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto"},"ContactFor":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto":{"type":"object","properties":{"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true},"VatId":{"type":"string","nullable":true},"CommercialRegisterNumber":{"type":"string","nullable":true},"CommercialRegisterTown":{"type":"string","nullable":true},"ContractPersons":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Zip":{"type":"string","nullable":true},"Town":{"type":"string","nullable":true},"Street":{"type":"string","nullable":true},"HouseNumber":{"type":"string","nullable":true},"HouseNumberAddition":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"StreetComplete":{"type":"string","nullable":true},"HouseNumberComplete":{"type":"string","nullable":true},"MainAddress":{"type":"boolean"},"AddressType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto"},"Country":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"RelatedAddressId":{"type":"integer","format":"int32","nullable":true},"Content":{"type":"string","nullable":true},"Explanation":{"type":"string","nullable":true},"RelatedAddress":{"type":"string","nullable":true},"CommunicationType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/DistrictCourt":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetDistrictCourt","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personNumber","in":"query","schema":{"type":"string"}},{"name":"includeMainAddress","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonAddresses","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainCommunication","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonBankAccounts","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonCommunications","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DistrictCourtDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DistrictCourtDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DistrictCourtDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Insolvenzverwalter

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/Liquidator

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LiquidatorDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Person":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto"},"DefaultAddress":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Shortname":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IsNaturalPerson":{"type":"boolean"},"NaturalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto"},"LegalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto"},"Addresses":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"nullable":true},"Communications":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"nullable":true},"BankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"nullable":true},"FirstEmailCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstLandlinePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstMobilePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"BirthName":{"type":"string","nullable":true},"CareOf":{"type":"string","nullable":true},"BirthDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeathDate":{"type":"string","format":"date-time","nullable":true},"Gender":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto"},"MaritalType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto"},"Nationality":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"},"PersonInCare":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto"},"ContactFor":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto":{"type":"object","properties":{"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true},"VatId":{"type":"string","nullable":true},"CommercialRegisterNumber":{"type":"string","nullable":true},"CommercialRegisterTown":{"type":"string","nullable":true},"ContractPersons":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Zip":{"type":"string","nullable":true},"Town":{"type":"string","nullable":true},"Street":{"type":"string","nullable":true},"HouseNumber":{"type":"string","nullable":true},"HouseNumberAddition":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"StreetComplete":{"type":"string","nullable":true},"HouseNumberComplete":{"type":"string","nullable":true},"MainAddress":{"type":"boolean"},"AddressType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto"},"Country":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"RelatedAddressId":{"type":"integer","format":"int32","nullable":true},"Content":{"type":"string","nullable":true},"Explanation":{"type":"string","nullable":true},"RelatedAddress":{"type":"string","nullable":true},"CommunicationType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/Liquidator":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetLiquidator","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personNumber","in":"query","schema":{"type":"string"}},{"name":"includeMainAddress","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonAddresses","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainCommunication","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonBankAccounts","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonCommunications","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LiquidatorDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LiquidatorDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.LiquidatorDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Schuldnerverfahren

#### Version 1.2

***

## GET /openwowi/v1.2/DunningRead/DebtorProceeding

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"PersonId":{"type":"integer","format":"int32"},"LocalCourt":{"type":"string","nullable":true},"ResolutionNumber":{"type":"string","nullable":true},"ResolutionValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ResolutionValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"LiquidatorId":{"type":"integer","format":"int32","nullable":true},"Info":{"type":"string","nullable":true},"DebtorProceedingsType":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingTypeDto"},"TrustAccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountDto"}},"additionalProperties":false},"Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/DunningRead/DebtorProceeding":{"get":{"tags":["OpenWowi DunningRead"],"operationId":"DunningRead_GetDebtorProceeding","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"personNumber","in":"query","schema":{"type":"string"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dunning.Bll.Services.RestApiServices.OpenWowi.Dto_v1_2.DebtorProceedingDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/mahnwesen/stammdaten.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
